Forum Rule: Always post complete source code & details to reproduce any issue!
Page 2 of 2 FirstFirst 1 2
Results 26 to 28 of 28

Thread: Teensyduino 1.56 Released

  1. #26
    Senior Member+ KurtE's Avatar
    Join Date
    Jan 2014
    Posts
    10,323
    Quote Originally Posted by FredEBear View Post
    This is all a but much for a 3.1 user. I don't understand what's going on here. I hooked up my Teensy 3.1 board to my iMac and Arduino IDE doesn't see it anymore. Instead I get Teensy 4 Security message. I don't have a Teensy 4 board and I can no longer use the IDE to upload sketches into my Teensy. Is the IDE broken? The Teensy toast? And what's this about a Security Key? What Key? There IS NO key .HEX nor .EHEX that I can see anywhere. Who's doing this and why?
    Note I posted questions and the like up on the thread you created.

    Again helps to know things like what iMac which version of OS, Which version of Teensyduino did you install.

  2. #27
    Senior Member
    Join Date
    Mar 2015
    Posts
    186
    I am having problems with ADC DMA. The code that worked with 1.53 does not compile with 1.56, more about it here (2 last posts) https://forum.pjrc.com/threads/67301...Teensy-4-0-ADC

  3. #28
    Junior Member
    Join Date
    Mar 2022
    Location
    Beijing
    Posts
    3

    Req to remove Artnet legacy library from the compiled binary

    Context
    The Artnet library included in Teensyduino 1.56 executable (Atleast in macOS) uses, what I believe is the legacy release, version 1.0 from 2014, of the Artnet library from
    Nathanaël Lécaudé

    Issue:
    Doesn't compile for Teensy 4.1 (which uses NativeEthernet).

    Quick Debug(so far):
    The zip version of the Artnet library (v1.0), also, when placed manually in the Arduino's library directory throws error.
    Since that library has been updated in it's repository to support Teensy4.1 but not yet have been updated in the Arduino's Library registry; so when installed through library manager, I guess it also uses the older .zip version and thus doesn't work (doesn't compile)

    Current mitigation methods
    On my macOS(V 12.2.1), I un-packed the Teensyduino 1.56 and muted (made it invisible) that legacy artnet library from the path:
    Code:
    /Applications/Teensyduino.app/Contents/Java/hardware/teensy/avr/libraries/Artnet
    by using:
    Code:
    mv /Applications/Teensyduino.app/Contents/Java/hardware/teensy/avr/libraries/Artnet /Applications/Teensyduino.app/Contents/Java/hardware/teensy/avr/libraries/.Artnet_old
    Then I git cloned the latest artnet library in the Arduino's contributed library directory (on mac that is: /Users/<machine_name>/Documents/Arduino/libraries/)
    Code:
    git clone https://github.com/natcl/Artnet.git
    And now it compiles! 😅

    Suggestion:
    May be do not include it in the compiled version of the Teensyduino.
    Also it seems the library's maintainer has been inactive since 2020. 😶.
    May be someone should fork it and make it accessible through Arduino's Library manager and PIO's library manager.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •